{% load staticfiles %}
<!DOCTYPE HTML>
<html>
    <head>
        <title>Hardlexander's Personal Website</title>
        <link href="{% static 'css/bootstrap.css' %}" rel='stylesheet' type='text/css' />
        <!-- Custom Theme files -->
        <link href="{% static 'css/style.css' %}" rel='stylesheet' type='text/css' />
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="{% static 'js/jquery.min.js' %}"></script>
        <script src="{% static 'js/jquery-ui.js' %}"></script>
        <link href="{% static 'css/jquery-ui.css' %}" rel='stylesheet' type='text/css' />
         <!-- Custom Theme files -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <!-- webfonts -->
        <link href='//fonts.googleapis.com/css?family=Asap:400,700,400italic' rel='stylesheet' type='text/css'>
        <link href='//fonts.googleapis.com/css?family=Open+Sans:400,300,600' rel='stylesheet' type='text/css'>
        <!-- webfonts -->
        <!-- Datatable js and css -->
        <link href='//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css' rel='stylesheet' type='text/css' />
        <script src='//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js'></script>
        

        <script>
            $(document).ready(function() {
                var count = 0;
                $('#adds').click(function(){
                    $(this).hide();
                    count++;
                    var value = Number($('#basket').val()) + 1;
                    $("#basket").text(value);
                    
                });
            });​
        </script>

        <script>
            $(document).ready( function () {
                $('#table_id').DataTable();
            } );
        </script>

    </head>
    <body>
        <!-- container -->
		<!-- header -->
		
            <div class="container">
                <!-- top-hedader -->
                <div class="top-header">
                    <h1>Books List</h1>
                    <p>Your Favourite Basket: </p>
                    <p id="basket">0</p>
                    <a id="adds"> Add to Favourite </a>
                    
                </div>
                    <table id="table_id" class="table table-striped table-bordered">
                    
                        <thead>
                            <tr>
                                <th>Title</th>
                                <th>Author</th>
                                <th>Publisher</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                    
                        <tbody>
                            {% for b in books %}
                            <tr>
                                <td>{{ b.volumeInfo.title }}</td>
                                <td>
                                    {% for a in b.volumeInfo.authors %}
                                    {{ a }} <br>
                                    {% endfor %}
                                </td>
                                <td> {{ b.volumeInfo.publisher }} </td>
                                <td>
                                    <a> See Details </a> <br>
                                    <a id="add"> Add to Favourite </a>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    
                    </table>
                    
                
              
            </div>
    </body>
</html>